// Code generated by protoc-gen-go.
// source: engine.proto
// DO NOT EDIT!

package pulumirpc

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import google_protobuf "github.com/golang/protobuf/ptypes/empty"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// LogSeverity is the severity level of a log message.  Errors are fatal; all others are informational.
type LogSeverity int32

const (
	LogSeverity_DEBUG   LogSeverity = 0
	LogSeverity_INFO    LogSeverity = 1
	LogSeverity_WARNING LogSeverity = 2
	LogSeverity_ERROR   LogSeverity = 3
)

var LogSeverity_name = map[int32]string{
	0: "DEBUG",
	1: "INFO",
	2: "WARNING",
	3: "ERROR",
}
var LogSeverity_value = map[string]int32{
	"DEBUG":   0,
	"INFO":    1,
	"WARNING": 2,
	"ERROR":   3,
}

func (x LogSeverity) String() string {
	return proto.EnumName(LogSeverity_name, int32(x))
}
func (LogSeverity) EnumDescriptor() ([]byte, []int) { return fileDescriptor1, []int{0} }

type LogRequest struct {
	Severity LogSeverity `protobuf:"varint,1,opt,name=severity,enum=pulumirpc.LogSeverity" json:"severity,omitempty"`
	Message  string      `protobuf:"bytes,2,opt,name=message" json:"message,omitempty"`
	Urn      string      `protobuf:"bytes,3,opt,name=urn" json:"urn,omitempty"`
}

func (m *LogRequest) Reset()                    { *m = LogRequest{} }
func (m *LogRequest) String() string            { return proto.CompactTextString(m) }
func (*LogRequest) ProtoMessage()               {}
func (*LogRequest) Descriptor() ([]byte, []int) { return fileDescriptor1, []int{0} }

func (m *LogRequest) GetSeverity() LogSeverity {
	if m != nil {
		return m.Severity
	}
	return LogSeverity_DEBUG
}

func (m *LogRequest) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *LogRequest) GetUrn() string {
	if m != nil {
		return m.Urn
	}
	return ""
}

func init() {
	proto.RegisterType((*LogRequest)(nil), "pulumirpc.LogRequest")
	proto.RegisterEnum("pulumirpc.LogSeverity", LogSeverity_name, LogSeverity_value)
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// Client API for Engine service

type EngineClient interface {
	// Log logs a global message in the engine, including errors and warnings.
	Log(ctx context.Context, in *LogRequest, opts ...grpc.CallOption) (*google_protobuf.Empty, error)
}

type engineClient struct {
	cc *grpc.ClientConn
}

func NewEngineClient(cc *grpc.ClientConn) EngineClient {
	return &engineClient{cc}
}

func (c *engineClient) Log(ctx context.Context, in *LogRequest, opts ...grpc.CallOption) (*google_protobuf.Empty, error) {
	out := new(google_protobuf.Empty)
	err := grpc.Invoke(ctx, "/pulumirpc.Engine/Log", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for Engine service

type EngineServer interface {
	// Log logs a global message in the engine, including errors and warnings.
	Log(context.Context, *LogRequest) (*google_protobuf.Empty, error)
}

func RegisterEngineServer(s *grpc.Server, srv EngineServer) {
	s.RegisterService(&_Engine_serviceDesc, srv)
}

func _Engine_Log_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LogRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(EngineServer).Log(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pulumirpc.Engine/Log",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(EngineServer).Log(ctx, req.(*LogRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Engine_serviceDesc = grpc.ServiceDesc{
	ServiceName: "pulumirpc.Engine",
	HandlerType: (*EngineServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Log",
			Handler:    _Engine_Log_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "engine.proto",
}

func init() { proto.RegisterFile("engine.proto", fileDescriptor1) }

var fileDescriptor1 = []byte{
	// 239 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x09, 0x6e, 0x88, 0x02, 0xff, 0x54, 0x8f, 0x4b, 0x4b, 0xc3, 0x40,
	0x14, 0x85, 0x9b, 0x46, 0xdb, 0xe6, 0x56, 0x64, 0xb8, 0x60, 0x09, 0x75, 0x53, 0xba, 0x2a, 0x2e,
	0xa6, 0x10, 0xc1, 0x85, 0x2b, 0x15, 0x63, 0x29, 0x84, 0x14, 0x46, 0xc4, 0xb5, 0x95, 0xeb, 0x10,
	0x48, 0x32, 0xe3, 0x3c, 0x84, 0xfe, 0x7b, 0xc9, 0xf4, 0x81, 0xee, 0x66, 0xce, 0xf9, 0x38, 0xdc,
	0x0f, 0x2e, 0xa8, 0x95, 0x55, 0x4b, 0x5c, 0x1b, 0xe5, 0x14, 0x26, 0xda, 0xd7, 0xbe, 0xa9, 0x8c,
	0xfe, 0x9c, 0x5e, 0x4b, 0xa5, 0x64, 0x4d, 0xcb, 0x50, 0x6c, 0xfd, 0xd7, 0x92, 0x1a, 0xed, 0x76,
	0x7b, 0x6e, 0x5e, 0x03, 0x14, 0x4a, 0x0a, 0xfa, 0xf6, 0x64, 0x1d, 0x66, 0x30, 0xb2, 0xf4, 0x43,
	0xa6, 0x72, 0xbb, 0x34, 0x9a, 0x45, 0x8b, 0xcb, 0x6c, 0xc2, 0x4f, 0x43, 0xbc, 0x50, 0xf2, 0xf5,
	0xd0, 0x8a, 0x13, 0x87, 0x29, 0x0c, 0x1b, 0xb2, 0xf6, 0x43, 0x52, 0xda, 0x9f, 0x45, 0x8b, 0x44,
	0x1c, 0xbf, 0xc8, 0x20, 0xf6, 0xa6, 0x4d, 0xe3, 0x90, 0x76, 0xcf, 0x9b, 0x7b, 0x18, 0xff, 0x19,
	0xc1, 0x04, 0xce, 0x9f, 0xf3, 0xa7, 0xb7, 0x15, 0xeb, 0xe1, 0x08, 0xce, 0xd6, 0xe5, 0xcb, 0x86,
	0x45, 0x38, 0x86, 0xe1, 0xfb, 0xa3, 0x28, 0xd7, 0xe5, 0x8a, 0xf5, 0x3b, 0x22, 0x17, 0x62, 0x23,
	0x58, 0x9c, 0x3d, 0xc0, 0x20, 0x0f, 0x86, 0x78, 0x07, 0x71, 0xa1, 0x24, 0x5e, 0xfd, 0x3f, 0xed,
	0xe0, 0x30, 0x9d, 0xf0, 0xbd, 0x2f, 0x3f, 0xfa, 0xf2, 0xbc, 0xf3, 0x9d, 0xf7, 0xb6, 0x83, 0x90,
	0xdc, 0xfe, 0x06, 0x00, 0x00, 0xff, 0xff, 0x14, 0xb9, 0x67, 0xe2, 0x2a, 0x01, 0x00, 0x00,
}
